Page 1 of 1

Code Execution Vulnerability Found in Libpurple IM Library

Posted: Thu Mar 23, 2017 5:11 pm
by decker12
Is there a path forward for Adium users considering this pretty serious security concern that was posted the other day? Can the devs comment on the availability or timing for a patch?

https://threatpost.com/code-execution-v ... ry/124448/

Re: Code Execution Vulnerability Found in Libpurple IM Library

Posted: Thu Mar 23, 2017 6:53 pm
by Robby
We're preparing a release. It's a matter of days.

Re: Code Execution Vulnerability Found in Libpurple IM Library

Posted: Thu Mar 23, 2017 6:55 pm
by decker12
Awesome news! Thanks for the update and for the hard work you're putting into the new release!

Re: Code Execution Vulnerability Found in Libpurple IM Library

Posted: Mon Mar 27, 2017 11:33 am
by Robby
1.5.10.3 will address this issue and a beta is out: https://beta.adium.im Please test! =-)

Details in our blog post: https://adium.im/blog/2017/03/adium-1-5-10-3b1/